<?php

class Cache{

	/****************************************************************************
	*	DEFINITIONS DES ATTRIBUTS												*
	****************************************************************************/
	
	private $page;			// Adresse de la page mise en cache
	private $expiration; 	// Temps avant regnration du cache en secondes
	private $tampon; 		// Contenu de la page mise en cache
	
	/****************************************************************************
	*	DEFINITIONS DU CONSTRUCTEUR												*
	****************************************************************************/
	
	function __construct($page){
		$this->page				=		'cache/'.$page.'.tmp';
	}
	
	/****************************************************************************
	*	GETTERS																	*
	****************************************************************************/
	
	public function getPage()				{	return $this->page;				}

	/****************************************************************************
	*	SETTERS																	*
	****************************************************************************/
	
	public function setPage($set)			{	$this->page			=	$set;	}
	
	/****************************************************************************
	*	METHODES																*
	****************************************************************************/
		
	public function cacheView(){
		if(file_exists($this->page))
		{
			$jourFichier	=	date("Ymd", filemtime($this->page));
			$jourNow		=	date("Ymd");
			
			if($jourFichier==$jourNow)
			{
				readfile($this->page);
				exit();
			}
		}
	}
	
	public function tamponStart() { ob_start(); }
	public function tamponEnd() { 
		$this->tampon	=	ob_get_contents();
		ob_end_clean();
		file_put_contents($this->page,$this->tampon);
		echo $this->tampon;
	}

}

?>